From 00009de3b189660e8d9729f9aead0c9a75bb22aa Mon Sep 17 00:00:00 2001
From: Andrea Scarpino <andrea@archlinux.org>
Date: Mon, 11 Oct 2010 09:54:16 +0200
Subject: [PATCH] install option (-I) does not require a directory containing a PKGBUILD

---
 makechrootpkg |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/makechrootpkg b/makechrootpkg
index 572a215..65db5c5 100755
--- a/makechrootpkg
+++ b/makechrootpkg
@@ -87,7 +87,7 @@ if [ "$EUID" != '0' ]; then
 	exit 1
 fi
 
-if [ ! -f PKGBUILD ]; then
+if [ ! -f PKGBUILD -a -z "$install_pkg" ]; then
 	echo 'This must be run in a directory containing a PKGBUILD.'
 	exit 1
 fi
-- 
1.7.3.1

